Bug 63785 - 500 error on system details page.
500 error on system details page.
Status: CLOSED RAWHIDE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Chip Turner
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-18 14:29 EDT by Matt Jamison
Modified: 2007-07-31 15:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-30 13:15:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Komenda 2002-04-18 14:29:17 EDT
Description of Problem: cannot acces system details page:
/network/system/system_details.pxt?sid=1000010000


Version-Release number of selected component (if applicable): See bug 63780.


How Reproducible: log in as joe_sat_1, select 'systems' => 'Systems List' => and
click on a system. 


Additional Information (Traceback):

The following exception occured while executing this request:
 GET /network/system/system_details.pxt?sid=1000010000 HTTP/1.0 (from browser)
 /network/system/system_details.pxt (from Apache)

Date:
  Thu Apr 18 09:19:25 2002

Headers:
  Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, image/png, */*
  Accept-Charset: iso-8859-1,*,utf-8
  Accept-Encoding: gzip
  Accept-Language: en
  Connection: Keep-Alive
  Cookie: pxt_session=10x509cc8ca7f96af5d04f757949293e697;
rh_auth_token=1:1019135917xf0dc54e123d8686f711d5589a5cc4b81
  Host: rhnproxy01.devel.redhat.com
  Referer: http://rhnproxy01.devel.redhat.com/network/systemlist/system_list.pxt
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-31 i686)

Form variables:
  sid => 1000010000

User Information:
  User joe_sat_1 (id 1, org_id 1)

Error notes:
  (none)

Initial Request:
  Yes

Error message:
  RHN::Exception: DBD::Oracle::db prepare failed: ORA-00942: table or view does
not exist (DBD ERROR: OCIStmtExecute/Describe) at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB.pm line 31.

  RHN::DB /usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB.pm 32
RHN::DB::objectify_error
  RHN::DB::Server /usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB/Server.pm 382
RHN::DB::prepare
  RHN::Server /usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/Server.pm 21
RHN::DB::Server::lookup_server
  Sniglets::Servers
/usr/lib/perl5/site_perl/5.6.1/i386-linux/Sniglets/Servers.pm 273
RHN::Server::lookup
  PXT::Parser /usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Parser.pm 119
Sniglets::Servers::satellite_entitled
  PXT::Parser /usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Parser.pm 57
PXT::Parser::expand_tag
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 625
PXT::Parser::expand_tags
  PXT::Request /usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Request.pm 460
PXT::ApacheHandler::pxt_parse_data
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 451
PXT::Request::include
  PXT::Parser /usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Parser.pm 104
PXT::ApacheHandler::__ANON__
  PXT::Parser /usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Parser.pm 57
PXT::Parser::expand_tag
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 520
PXT::Parser::expand_tags
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 48
PXT::ApacheHandler::pxt_parse_data
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 48 (eval)
  main /dev/null 0 PXT::ApacheHandler::handler
  main /dev/null 0 (eval)

Offending Query: SELECT S.ID, S.DIGITAL_SERVER_ID, S.ARCH, S.OS, S.RELEASE,
S.NAME, S.DESCRIPTION, S.SECRET, S.INFO, S.ORG_ID, TO_CHAR(S.CREATED ,
'YYYY-MM-DD HH24:MI:SS'), S.creator_id, S.auto_update, S.auto_deliver,
S.last_boot, S.running_kernel, R.ID, R.SERVER_ID, R.RAM, R.SWAP, SI.server_id,
TO_CHAR(SI.checkin , 'YYYY-MM-DD HH24:MI:SS'), SI.checkin_counter, C.ID,
C.SERVER_ID, C.ARCH, C.BOGOMIPS, C.CACHE, C.FAMILY, C.MHZ, C.STEPPING, C.FLAGS,
C.MODEL, C.VERSION, C.VENDOR, C.NRCPU, C.ACPIVERSION, C.APIC, C.APMVERSION,
C.CHIPSET, A.ID, A.NAME, A.FAMILY, A.GENERATION, L.ID, L.SERVER_ID, L.RACK,
L.ROOM, L.MACHINE, L.BUILDING, L.ADDRESS1, L.ADDRESS2, L.CITY, L.STATE,
L.COUNTRY, D.VENDOR, D.SYSTEM, D.PRODUCT, D.BIOS_VENDOR, D.BIOS_RELEASE,
D.BIOS_VERSION, D.ASSET, D.BOARD, P.SERVER_ID, SAT.SERVER_ID, SAT.CERT
FROM rhnServer S, rhnRam R, rhnServerInfo SI, rhnCpu C, rhnArch A,
rhnServerLocation L, rhnServerDMI D, rhnProxyInfo P, rhnSatelliteInfo SAT
WHERE S.ID = R.SERVER_ID(+) AND S.ID = SI.SERVER_ID AND S.ID = C.SERVER_ID(+)
AND S.ARCH = A.ID AND S.ID = L.SERVER_ID(+) AND S.ID = D.SERVER_ID(+) AND S.ID =
P.SERVER_ID(+) AND S.ID = SAT.SERVER_ID(+) AND S.ID = ?
Comment 1 Chip Turner 2002-04-20 01:09:37 EDT
I can't get to the box to check what is wrong, but it is something else now
(that error is fixed).  please set the root password to something we all know :)
Comment 2 Josef Komenda 2002-05-01 14:58:42 EDT
Fixed, closing.

Note You need to log in before you can comment on or make changes to this bug.